Install EasyOCR

Hi,

I’m trying to install easyocr by this link.

I also install opencv-python 4.4.0 which is required for installing processing.
Screenshot from 2020-10-15 09-12-38

But I have problem like below image:

How can I fix it?

Thanks!

We never tried that, you may need to open issue at https://github.com/JaidedAI/EasyOCR/issues

Thanks

Hi @kayccc,

Yes, I will do.

Thank you.

Just FYI, a longshot, I see the error is related to finding the cmake version. Is cmake installed? If not, then try “sudo apt-get install cmake”.

Hi @linuxdev,

Thanks for your response.
I had installed cmake before I installed easyocr.

Screenshot from 2020-10-16 09-26-43

Thanks.

It did say “Problem with cmake installation”, so I am wondering if perhaps the python software is looking for a different release version of cmake. Does the software provide any list of requirements, and if so, does it mention cmake?

Hi @linuxdev,

I had installed easyocr successful in my PC use cmake 3.18.0.
I also try to install easyocr with the same version of cmake in jetson nano but it’s not work.
So I think the problem is not really because of cmake.

Thank for your help.

I wonder if this might help?

"Below are pre-built PyTorch pip wheel installers for Python on Jetson Nano, Jetson TX1/TX2, and Jetson Xavier NX/AGX with JetPack 4.2 and newer.

"Download one of the PyTorch binaries from below for your version of JetPack, and see the installation instructions to run on your Jetson. These pip wheels are built for ARM aarch64 architecture, so run these commands on your Jetson (not on a host PC).